We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 32939

LogiCORE Fast Fourier Transform (FFT) v7.0 - Is it possible to upgrade from FFT v6.0, v5.0, v4.1, v4.0, v3.2 and v3.1 to V7.0?


Is it possible to migrate to FFT v7.0 from earlier versions?


For upgrading from FFT v6.0, v5.0, v4.1, v4.0, v3.2 and v3.1, the CORE Generator core upgrade feature can be used to update an existing FFT XCO file to version 7.0 of the FFT core. The core can then be regenerated to create a new netlist. See the CORE Generator documentation for more information on this feature. There are no differences in port naming conventions, polarities, priorities, or widths between versions. FFT v7.0 is fully backward compatible with previous FFT versions.

For updating from versions prior to FFT v3.1, it is not currently possible to automatically update versions of the FFT core prior to v3.1. Xilinx recommends that customers use the FFT v7.0 GUI to customize a new core.

AR# 32939
Date Created 06/12/2009
Last Updated 12/15/2012
Status Active
Type General Article